[youtubei.js](../../../README.md) / [LZW](../README.md) / compress

# Function: compress()

> **compress**(`input`): `string`

Compresses a string using the LZW compression algorithm.

## Parameters

• **input**: `string`

The data to compress.

## Returns

`string`

## Defined in

[src/utils/LZW.ts:5](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/utils/LZW.ts#L5)
